> ## Documentation Index
> Fetch the complete documentation index at: https://getmonitor.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Draft Notebook with AI



## OpenAPI

````yaml POST /api/v1/notebooks/ai-draft
openapi: 3.0.0
info:
  title: GetMonitor API
  description: Status Pages bounded context
  version: '1.0'
  contact: {}
servers:
  - url: https://api.getmonitor.io
security: []
tags: []
paths:
  /api/v1/notebooks/ai-draft:
    post:
      tags:
        - notebooks
      summary: Create a notebook drafted from a free-text prompt via AI
      operationId: NotebookController_aiDraft_v1
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DraftNotebookDto'
      responses:
        '201':
          description: ''
      security:
        - apiKey: []
components:
  schemas:
    DraftNotebookDto:
      type: object
      properties:
        prompt:
          type: string
      required:
        - prompt
  securitySchemes:
    apiKey:
      scheme: bearer
      type: http
      description: >-
        Organization API key, prefixed with `gm_api_`. Send it as
        `Authorization: Bearer <api_key>`.

````